define({"topics" : [{"title":"Apache TinkerPop™ graph computing framework","shortdesc":"<p class=\"shortdesc\"> Describe the Apache TinkerPop framework.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/tinkerPopFramework.html","attributes": {"data-id":"tinkerPopFramework",},"menu": {"hasChildren":false,},"tocID":"tinkerPopFramework-d49e3940","topics":[]},{"title":"General steps, step-modulators, and predicates","shortdesc":"<p class=\"shortdesc\">TinkerPop general steps, step-modulators, and predicates</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/tpGeneral.html","attributes": {"data-id":"tpGeneral",},"menu": {"hasChildren":false,},"tocID":"tpGeneral-d49e3953","topics":[]},{"title":"Predicates","shortdesc":"<p class=\"shortdesc\">Predicates are used to determine relationships between data within     traversals.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/tpPredTOC.html","attributes": {"data-id":"tpPredTOC",},"menu": {"hasChildren":false,},"tocID":"tpPredTOC-d49e3964","next":"tpPredTOC-d49e3964",},{"title":"Step-modulators","shortdesc":"<p class=\"shortdesc\">Helpers for Gremlin steps in traversals.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/tpStepModTOC.html","attributes": {"data-id":"tpStepModTOC",},"menu": {"hasChildren":false,},"tocID":"tpStepModTOC-d49e4097","next":"tpStepModTOC-d49e4097",},{"title":"Vertex Steps","shortdesc":"<p class=\"shortdesc\">Fundamental steps of Gremlin language</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/tpVertexStepTOC.html","attributes": {"data-id":"tpVertexStepTOC",},"menu": {"hasChildren":false,},"tocID":"tpVertexStepTOC-d49e4195","next":"tpVertexStepTOC-d49e4195",},{"title":"addV","shortdesc":"<p class=\"shortdesc\"> Specify a vertex from a traversal.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravAddV.html","attributes": {"data-id":"refTravAddV",},"menu": {"hasChildren":false,},"tocID":"refTravAddV-d49e4316","topics":[]},{"title":"addE","shortdesc":"<p class=\"shortdesc\"> Specify an edge from a traversal.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravAddE.html","attributes": {"data-id":"refTravAddE",},"menu": {"hasChildren":false,},"tocID":"refTravAddE-d49e4327","topics":[]},{"title":"property","shortdesc":"<p class=\"shortdesc\"> How to specify a property from a traversal.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravProperty.html","attributes": {"data-id":"refTravProperty",},"menu": {"hasChildren":false,},"tocID":"refTravProperty-d49e4338","topics":[]},{"title":"mid-traversal V()","shortdesc":"<p class=\"shortdesc\">Fetch a vertex in the middle of a graph traversal.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravMidV.html","attributes": {"data-id":"refTravMidV",},"menu": {"hasChildren":false,},"tocID":"refTravMidV-d49e4349","topics":[]},{"title":"aggregate","shortdesc":"<p class=\"shortdesc\">Aggregate all objects into a collection at a particular point in a graph     traversal.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravAggregate.html","attributes": {"data-id":"refTravAggregate",},"menu": {"hasChildren":false,},"tocID":"refTravAggregate-d49e4360","topics":[]},{"title":"and","shortdesc":"<p class=\"shortdesc\">Filter traversals using the AND boolean.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravAnd.html","attributes": {"data-id":"refTravAnd",},"menu": {"hasChildren":false,},"tocID":"refTravAnd-d49e4372","topics":[]},{"title":"barrier","shortdesc":"<p class=\"shortdesc\">Causes all steps prior to the barrier step to be executed before moving onto additional     steps.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravBarrier.html","attributes": {"data-id":"refTravBarrier",},"menu": {"hasChildren":false,},"tocID":"refTravBarrier-d49e4383","topics":[]},{"title":"branch","shortdesc":"<p class=\"shortdesc\">Split a traversal based on values.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravBranch.html","attributes": {"data-id":"refTravBranch",},"menu": {"hasChildren":false,},"tocID":"refTravBranch-d49e4394","topics":[]},{"title":"cap","shortdesc":"<p class=\"shortdesc\"></p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravCap.html","attributes": {"data-id":"refTravCap",},"menu": {"hasChildren":false,},"tocID":"refTravCap-d49e4405","topics":[]},{"title":"choose","shortdesc":"<p class=\"shortdesc\">Route a traverser to a particular traversal branch option.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravChoose.html","attributes": {"data-id":"refTravChoose",},"menu": {"hasChildren":false,},"tocID":"refTravChoose-d49e4415","topics":[]},{"title":"coalesce","shortdesc":"<p class=\"shortdesc\">Return a value based on the first traversal that has an element.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravCoalesce.html","attributes": {"data-id":"refTravCoalesce",},"menu": {"hasChildren":false,},"tocID":"refTravCoalesce-d49e4426","topics":[]},{"title":"coin","shortdesc":"<p class=\"shortdesc\">Get a random coin toss value with stated odds.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravCoin.html","attributes": {"data-id":"refTravCoin",},"menu": {"hasChildren":false,},"tocID":"refTravCoin-d49e4437","topics":[]},{"title":"constant","shortdesc":"<p class=\"shortdesc\">Set a constant value.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravConstant.html","attributes": {"data-id":"refTravConstant",},"menu": {"hasChildren":false,},"tocID":"refTravConstant-d49e4448","topics":[]},{"title":"count","shortdesc":"<p class=\"shortdesc\">Get a count of the traverser that precedes the count step.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravCount.html","attributes": {"data-id":"refTravCount",},"menu": {"hasChildren":false,},"tocID":"refTravCount-d49e4459","topics":[]},{"title":"cyclicPath","shortdesc":"<p class=\"shortdesc\">Filter out repeated steps in a traversal</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravCyclicPath.html","attributes": {"data-id":"refTravCyclicPath",},"menu": {"hasChildren":false,},"tocID":"refTravCyclicPath-d49e4470","topics":[]},{"title":"dedup","shortdesc":"<p class=\"shortdesc\">Deduplicate returned objects from a query.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravDedup.html","attributes": {"data-id":"refTravDedup",},"menu": {"hasChildren":false,},"tocID":"refTravDedup-d49e4481","topics":[]},{"title":"drop","shortdesc":"<p class=\"shortdesc\">Drop a traversal object.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravDrop.html","attributes": {"data-id":"refTravDrop",},"menu": {"hasChildren":false,},"tocID":"refTravDrop-d49e4493","topics":[]},{"title":"explain","shortdesc":"<p class=\"shortdesc\">Explain the traversal strategies used in a traversal.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravExplain.html","attributes": {"data-id":"refTravExplain",},"menu": {"hasChildren":false,},"tocID":"refTravExplain-d49e4504","topics":[]},{"title":"fill","shortdesc":"<p class=\"shortdesc\">Put all results in the provided collection, then return the collection.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravFill.html","attributes": {"data-id":"refTravFill",},"menu": {"hasChildren":false,},"tocID":"refTravFill-d49e4515","topics":[]},{"title":"filter","shortdesc":"<p class=\"shortdesc\">Filter the traversal to eliminate some of the returned objects based on a     criteria.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravFilter.html","attributes": {"data-id":"refTravFilter",},"menu": {"hasChildren":false,},"tocID":"refTravFilter-d49e4526","topics":[]},{"title":"flatMap","shortdesc":"<p class=\"shortdesc\">Create a map of traversal objects and stream to the next traversal step.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravFlatMap.html","attributes": {"data-id":"refTravFlatMap",},"menu": {"hasChildren":false,},"tocID":"refTravFlatMap-d49e4537","topics":[]},{"title":"fold","shortdesc":"<p class=\"shortdesc\">Aggregate all the returned objects into a list, then emit the list.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravFold.html","attributes": {"data-id":"refTravFold",},"menu": {"hasChildren":false,},"tocID":"refTravFold-d49e4548","topics":[]},{"title":"group","shortdesc":"<p class=\"shortdesc\">Organize returned objects by a function of the objects.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravGroup.html","attributes": {"data-id":"refTravGroup",},"menu": {"hasChildren":false,},"tocID":"refTravGroup-d49e4559","topics":[]},{"title":"groupCount","shortdesc":"<p class=\"shortdesc\">Determines the number of objects specified.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravGroupCount.html","attributes": {"data-id":"refTravGroupCount",},"menu": {"hasChildren":false,},"tocID":"refTravGroupCount-d49e4570","topics":[]},{"title":"has","shortdesc":"<p class=\"shortdesc\">Filter based on a particular vertex or edge label, property key, or property     value.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravHas.html","attributes": {"data-id":"refTravHas",},"menu": {"hasChildren":false,},"tocID":"refTravHas-d49e4581","topics":[]},{"title":"hasId","shortdesc":"<p class=\"shortdesc\">Filter based on a particular id.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravHasId.html","attributes": {"data-id":"refTravHasId",},"menu": {"hasChildren":false,},"tocID":"refTravHasId-d49e4592","topics":[]},{"title":"hasKey","shortdesc":"<p class=\"shortdesc\">Filter based on a particular property key.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravHasKey.html","attributes": {"data-id":"refTravHasKey",},"menu": {"hasChildren":false,},"tocID":"refTravHasKey-d49e4603","topics":[]},{"title":"hasLabel","shortdesc":"<p class=\"shortdesc\">Filter based on a particular vertex or edge label.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTraveHasLabel.html","attributes": {"data-id":"refTravHasLabel",},"menu": {"hasChildren":false,},"tocID":"refTravHasLabel-d49e4615","topics":[]},{"title":"hasNext","shortdesc":"<p class=\"shortdesc\">Determine if results are available from a traversal.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravHasNext.html","attributes": {"data-id":"refTravHasNext",},"menu": {"hasChildren":false,},"tocID":"refTravHasNext-d49e4626","topics":[]},{"title":"hasNot","shortdesc":"<p class=\"shortdesc\">Filter based on a particular label or value not present.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravHasNot.html","attributes": {"data-id":"refTravHasNot",},"menu": {"hasChildren":false,},"tocID":"refTravHasNot-d49e4637","topics":[]},{"title":"hasValue","shortdesc":"<p class=\"shortdesc\">Filter based on a particular property value.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTraveHasValue.html","attributes": {"data-id":"refTravHasValue",},"menu": {"hasChildren":false,},"tocID":"refTravHasValue-d49e4648","topics":[]},{"title":"id","shortdesc":"<p class=\"shortdesc\">Fetch the id of a graph object.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravId.html","attributes": {"data-id":"refTravId",},"menu": {"hasChildren":false,},"tocID":"refTravId-d49e4659","topics":[]},{"title":"inject","shortdesc":"<p class=\"shortdesc\">Inject an object arbitrarily into a traversal stream.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravInject.html","attributes": {"data-id":"refTravInject",},"menu": {"hasChildren":false,},"tocID":"refTravInject-d49e4670","topics":[]},{"title":"is","shortdesc":"<p class=\"shortdesc\">Filter for scalar values.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravIs.html","attributes": {"data-id":"refTravIs",},"menu": {"hasChildren":false,},"tocID":"refTravIs-d49e4681","topics":[]},{"title":"key","shortdesc":"<p class=\"shortdesc\">Extracts property keys for specified object.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravKey.html","attributes": {"data-id":"refTravKey",},"menu": {"hasChildren":false,},"tocID":"refTravKey-d49e4692","topics":[]},{"title":"label","shortdesc":"<p class=\"shortdesc\">Extracts the specified labels.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravLabel.html","attributes": {"data-id":"refTravLabel",},"menu": {"hasChildren":false,},"tocID":"refTravLabel-d49e4703","topics":[]},{"title":"limit","shortdesc":"<p class=\"shortdesc\">Limit the objects returned.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravLimit.html","attributes": {"data-id":"refTravLimit",},"menu": {"hasChildren":false,},"tocID":"refTravLimit-d49e4714","topics":[]},{"title":"local","shortdesc":"<p class=\"shortdesc\">Limit the operation of the traversal to a single element within the     traversal.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravLocal.html","attributes": {"data-id":"refTravLocal",},"menu": {"hasChildren":false,},"tocID":"refTravLocal-d49e4725","topics":[]},{"title":"loops","shortdesc":"<p class=\"shortdesc\">Get the number of times a query has gone through a particular loop.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravLoops.html","attributes": {"data-id":"refTravLoops",},"menu": {"hasChildren":false,},"tocID":"refTravLoops-d49e4737","topics":[]},{"title":"map","shortdesc":"<p class=\"shortdesc\">Map a portion of the query.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravMap.html","attributes": {"data-id":"refTravMap",},"menu": {"hasChildren":false,},"tocID":"refTravMap-d49e4748","topics":[]},{"title":"match","shortdesc":"<p class=\"shortdesc\">Provides a more declarative form of graph querying based on pattern     matching.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravMatch.html","attributes": {"data-id":"refTravMatch",},"menu": {"hasChildren":false,},"tocID":"refTravMatch-d49e4759","topics":[]},{"title":"math","shortdesc":"<p class=\"shortdesc\">Enables scientific calculator functionality.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravMath.html","attributes": {"data-id":"refTravMath",},"menu": {"hasChildren":false,},"tocID":"refTravMath-d49e4770","topics":[]},{"title":"max","shortdesc":"<p class=\"shortdesc\">Get the largest number in a traversal.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravMax.html","attributes": {"data-id":"refTravMax",},"menu": {"hasChildren":false,},"tocID":"refTravMax-d49e4781","topics":[]},{"title":"mean","shortdesc":"<p class=\"shortdesc\">Get the mean average in a traversal.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravMean.html","attributes": {"data-id":"refTravMean",},"menu": {"hasChildren":false,},"tocID":"refTravMean-d49e4792","topics":[]},{"title":"min","shortdesc":"<p class=\"shortdesc\">Get the smallest number in a traversal.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravMin.html","attributes": {"data-id":"refTravMin",},"menu": {"hasChildren":false,},"tocID":"refTravMin-d49e4803","topics":[]},{"title":"next","shortdesc":"<p class=\"shortdesc\">Find the next results.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravNext.html","attributes": {"data-id":"refTravNext",},"menu": {"hasChildren":false,},"tocID":"refTravNext-d49e4814","topics":[]},{"title":"not","shortdesc":"<p class=\"shortdesc\">Exclude a specified object from the traversal.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravNot.html","attributes": {"data-id":"refTravNot",},"menu": {"hasChildren":false,},"tocID":"refTravNot-d49e4825","topics":[]},{"title":"optional","shortdesc":"<p class=\"shortdesc\">Returns an optional result if the specified traversal yields a result; otherwise,     returns the calling element.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravOptional.html","attributes": {"data-id":"refTravOptional",},"menu": {"hasChildren":false,},"tocID":"refTravOptional-d49e4836","topics":[]},{"title":"or","shortdesc":"<p class=\"shortdesc\">Yield at least one result from choices.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravOr.html","attributes": {"data-id":"refTravOr",},"menu": {"hasChildren":false,},"tocID":"refTravOr-d49e4847","topics":[]},{"title":"order","shortdesc":"<p class=\"shortdesc\">Sorts objects given a certain criteria.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravOrder.html","attributes": {"data-id":"refTravOrder",},"menu": {"hasChildren":false,},"tocID":"refTravOrder-d49e4859","topics":[]},{"title":"pageRank","shortdesc":"<p class=\"shortdesc\">Calculates pageRank.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravPageRank.html","attributes": {"data-id":"refTravPageRank",},"menu": {"hasChildren":false,},"tocID":"refTravPageRank-d49e4870","topics":[]},{"title":"path","shortdesc":"<p class=\"shortdesc\">Examine the history of a traversal&apos;s path.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravPath.html","attributes": {"data-id":"refTravPath",},"menu": {"hasChildren":false,},"tocID":"refTravPath-d49e4881","topics":[]},{"title":"peerPressure","shortdesc":"<p class=\"shortdesc\">Executes a Peer Pressure community detection algorithm over the graph.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravPeerPressure.html","attributes": {"data-id":"refTravPeerPressure",},"menu": {"hasChildren":false,},"tocID":"refTravPeerPressure-d49e4892","topics":[]},{"title":"profile","shortdesc":"<p class=\"shortdesc\">Profile a traversal to determine statistical information.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravProfile.html","attributes": {"data-id":"refTravProfile",},"menu": {"hasChildren":false,},"tocID":"refTravProfile-d49e4903","topics":[]},{"title":"project","shortdesc":"<p class=\"shortdesc\"></p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravProject.html","attributes": {"data-id":"refTravProject",},"menu": {"hasChildren":false,},"tocID":"refTravProject-d49e4914","topics":[]},{"title":"properties","shortdesc":"<p class=\"shortdesc\">Retrieve properties of a specified element.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravProperties.html","attributes": {"data-id":"refTravProperties",},"menu": {"hasChildren":false,},"tocID":"refTravProperties-d49e4924","topics":[]},{"title":"propertyMap","shortdesc":"<p class=\"shortdesc\">Yields a map representation of the properties of an element.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravPropertyMap.html","attributes": {"data-id":"refTravPropertyMap",},"menu": {"hasChildren":false,},"tocID":"refTravPropertyMap-d49e4935","topics":[]},{"title":"range","shortdesc":"<p class=\"shortdesc\">Filter only a specified number of objects into the next step.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravRange.html","attributes": {"data-id":"refTravRange",},"menu": {"hasChildren":false,},"tocID":"refTravRange-d49e4946","topics":[]},{"title":"repeat","shortdesc":"<p class=\"shortdesc\">Loop until a condition is met.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravRepeat.html","attributes": {"data-id":"refTravRepeat",},"menu": {"hasChildren":false,},"tocID":"refTravRepeat-d49e4957","topics":[]},{"title":"sack","shortdesc":"<p class=\"shortdesc\">Read and write sacks.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravSack.html","attributes": {"data-id":"refTravSack",},"menu": {"hasChildren":false,},"tocID":"refTravSack-d49e4968","topics":[]},{"title":"sample","shortdesc":"<p class=\"shortdesc\">Sample previous steps in the traversal.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravSample.html","attributes": {"data-id":"refTravSample",},"menu": {"hasChildren":false,},"tocID":"refTravSample-d49e4980","topics":[]},{"title":"select","shortdesc":"<p class=\"shortdesc\">Select labeled steps.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravSelect.html","attributes": {"data-id":"refTravSelect",},"menu": {"hasChildren":false,},"tocID":"refTravSelect-d49e4991","topics":[]},{"title":"sideEffect","shortdesc":"<p class=\"shortdesc\">Perform some operation on the traverser and pass the result to the next     step.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravSideEffect.html","attributes": {"data-id":"refTravSideEffect",},"menu": {"hasChildren":false,},"tocID":"refTravSideEffect-d49e5002","topics":[]},{"title":"simplePath","shortdesc":"<p class=\"shortdesc\">Use to prevent a traverser from repeating a path through the graph.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravSimplePath.html","attributes": {"data-id":"refTravSimplePath",},"menu": {"hasChildren":false,},"tocID":"refTravSimplePath-d49e5013","topics":[]},{"title":"skip","shortdesc":"<p class=\"shortdesc\">Skip a specified number of return objects.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravSkip.html","attributes": {"data-id":"refTravSkip",},"menu": {"hasChildren":false,},"tocID":"refTravSkip-d49e5024","topics":[]},{"title":"store","shortdesc":"<p class=\"shortdesc\">Store information for later use in the traversal.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravStore.html","attributes": {"data-id":"refTravStore",},"menu": {"hasChildren":false,},"tocID":"refTravStore-d49e5035","topics":[]},{"title":"subGraph","shortdesc":"<p class=\"shortdesc\">Get a subgraph of the full graph.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravSubGraph.html","attributes": {"data-id":"refTravSubGraph",},"menu": {"hasChildren":false,},"tocID":"refTravSubGraph-d49e5046","topics":[]},{"title":"sum","shortdesc":"<p class=\"shortdesc\">Sum the previously returned objects.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravSum.html","attributes": {"data-id":"refTravSum",},"menu": {"hasChildren":false,},"tocID":"refTravSum-d49e5057","topics":[]},{"title":"tail","shortdesc":"<p class=\"shortdesc\">Get the last specified number of returned objects.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravTail.html","attributes": {"data-id":"refTravTail",},"menu": {"hasChildren":false,},"tocID":"refTravTail-d49e5068","topics":[]},{"title":"timeLimit","shortdesc":"<p class=\"shortdesc\">Limit the traversal to a specified number of milliseconds of execution     time.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravTimeLimit.html","attributes": {"data-id":"refTravTimeLimit",},"menu": {"hasChildren":false,},"tocID":"refTravTimeLimit-d49e5079","topics":[]},{"title":"toBulkSet","shortdesc":"<p class=\"shortdesc\">Return all restuls in a weighted set.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravToBulkSet.html","attributes": {"data-id":"refTravToBulkSet",},"menu": {"hasChildren":false,},"tocID":"refTravToBulkSet-d49e5090","topics":[]},{"title":"toList","shortdesc":"<p class=\"shortdesc\">Return all results in a list.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravToList.html","attributes": {"data-id":"refTravToList",},"menu": {"hasChildren":false,},"tocID":"refTravToList-d49e5102","topics":[]},{"title":"toSet","shortdesc":"<p class=\"shortdesc\">Return all results in a set with duplicated removed.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravToSet.html","attributes": {"data-id":"refTravToSet",},"menu": {"hasChildren":false,},"tocID":"refTravToSet-d49e5113","topics":[]},{"title":"tree","shortdesc":"<p class=\"shortdesc\">Create a tree of the traversal.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravTree.html","attributes": {"data-id":"refTravTree",},"menu": {"hasChildren":false,},"tocID":"refTravTree-d49e5124","topics":[]},{"title":"unfold","shortdesc":"<p class=\"shortdesc\">Unfold a returned object into a linear form.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravUnfold.html","attributes": {"data-id":"refTravUnfold",},"menu": {"hasChildren":false,},"tocID":"refTravUnfold-d49e5135","topics":[]},{"title":"union","shortdesc":"<p class=\"shortdesc\">Merge the results of several traversals.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravUnion.html","attributes": {"data-id":"refTravUnion",},"menu": {"hasChildren":false,},"tocID":"refTravUnion-d49e5146","topics":[]},{"title":"value","shortdesc":"<p class=\"shortdesc\">Get the value of a property given a specified property.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravValue.html","attributes": {"data-id":"refTravValue",},"menu": {"hasChildren":false,},"tocID":"refTravValue-d49e5157","topics":[]},{"title":"valueMap","shortdesc":"<p class=\"shortdesc\">Yields a map representation of the properties of an element.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravValueMap.html","attributes": {"data-id":"refTravValueMap",},"menu": {"hasChildren":false,},"tocID":"refTravValueMap-d49e5168","topics":[]},{"title":"values","shortdesc":"<p class=\"shortdesc\">Extract the value of properties for an element.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravValues.html","attributes": {"data-id":"refTravValues",},"menu": {"hasChildren":false,},"tocID":"refTravValues-d49e5179","topics":[]},{"title":"where","shortdesc":"<p class=\"shortdesc\">Filters based on a predicate, a sideEffect or a traversal.</p>","href":"datastax_enterprise\/graph\/reference\/traversal\/refTravWhere.html","attributes": {"data-id":"refTravWhere",},"menu": {"hasChildren":false,},"tocID":"refTravWhere-d49e5190","topics":[]}]});